Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82643

Summary: Unexpected SIGIO with RH8
Product: [Retired] Red Hat Linux Reporter: Michael Marxmeier <mike>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: ilmis
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael Marxmeier 2003-01-24 13:03:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030119

Description of problem:
RH 8.0, Kernel 2.4.14-14 (same with 2.4.18.-19.8.0)

In our application we encounter unexpected SIGIO signals.
This neither happened on RH 7.3 nor on SuSE 8.1.

The application enables SIGIO for stdin to get async
notification of keyboard input. However with RH8 SIGIO
seems to happen unrelated to stdin.

Shortened strace is below:

rt_sigaction(SIGIO, {0x8074c90, [], SA_RESTORER|SA_RESTART, 0x42028c48}, NULL,
8) = 0
...
fcntl64(0, F_GETFL)                     = 0x8002 (flags O_RDWR|O_LARGEFILE)
fcntl64(0, F_SETFL, O_RDWR|O_ASYNC|O_LARGEFILE) = 0
...
--- SIGIO (I/O possible) ---
select(1024, [0], NULL, NULL, {0, 0})   = 0 (Timeout)
sigreturn()                             = ? (mask now [])
write(1, "\33[24;1H\r", 8)              = 8
--- SIGIO (I/O possible) ---
select(1024, [0], NULL, NULL, {0, 0})   = 0 (Timeout)
sigreturn()                             = ? (mask now [])
write(1, "\33[?25h", 6)                 = 6
--- SIGIO (I/O possible) ---
select(1024, [0], NULL, NULL, {0, 0})   = 0 (Timeout)
sigreturn()                             = ? (mask now [])
...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run application
    

Actual Results:  SIGIO signals related to fd 1 (and fd 0 as well)

Expected Results:  SIGIO signals related to fd 0

Additional info:

Comment 1 Mika Ilmaranta 2003-03-12 22:11:46 UTC
Seems that the same happens still with 2.4.18-26.8.0.

SIGIO seems to work as supposed when application is run from console.



Comment 2 Bugzilla owner 2004-09-30 15:40:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/